#include "sys/Syscall.h"
#include "thread/Scheduler.h"

Result<u64> sys_exit(Registers*, SyscallArgs args)
{
    u8 status = (u8)args[0];

    Thread* current = Scheduler::current();

    Scheduler::for_each_child(current, [](Thread* child) {
        child->parent = Scheduler::init_thread();
        return true;
    });

    current->exit_and_signal_parent(status);
}
